#
# spec file for package powertweak (Version 0.99.5)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db desktop-translations diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel gawk gcc gcc-c++ gdbm gdbm-devel gettext gettext-devel glib glib-devel glibc glibc-devel glibc-locale gnome-filesystem gpm grep groff gtk gtk-devel gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libstdc++-devel libtool libxcrypt libxml2 libxml2-devel libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip update-desktop-files util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           powertweak
BuildRequires:  gcc-c++ gtk-devel libxml2-devel update-desktop-files
Version:        0.99.5
Release:        55.2
License:        GPL
Group:          System/Base
URL:            http://powertweak.sourceforge.net/
Summary:        A program to tune systems to their optimal performance
Obsoletes:      pwrtweak
Provides:       pwrtweak
Requires:       pciutils
Source:         http://download.sourceforge.net/powertweak/%{name}-%{version}.tar.bz2
Patch:          %{name}-%{version}.dif
Patch1:         powertweak-yast2.patch
Patch2:         powertweak-daemonize.diff
Patch3:         powertweak-strings.patch
Patch4:         powertweak-mtrrstrings.patch
Patch5:         %{name}-%{version}-automake.patch
Patch6:         proc-xml.patch
Patch7:         %{name}-%{version}-nodaemon.patch
Patch8:         netdev-xml.patch
Patch9:         powertweak-atacmds.patch
Patch10:        %{name}-%{version}-segfault.patch
Patch11:        %{name}-%{version}-stdlib.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
PreReq:         %insserv_prereq %fillup_prereq

%description
Powertweak is a utility for tweaking your Linux system to peak
performance. It can tune the following parts of your system:

- Tunes PCI devices to use optimal settings.

- Enables performance enhancing features.

- Kernel parameters

- CPU registers

- Chipset register settings

- Sony VAIO backlight

To make use of all the features of this program, you need to have a
Linux kernel which supports the /proc/bus/pci interface.



Authors:
--------
    Rob Andrews <rob@impure.org.uk>
    Mark Brown <broonie@debian.org>
    Ronny Bangsund <bangsure@ibm.ie>
    Sudhakar Chandrasekharan <thaths@netscape.com>
    Alan Cox <alan@redhat.com>
    Sven Dowideit <svenud@ozemail.com.au>
    Nicholas Dronen <ndronen@frii.com>
    Olivier Gilloire <ogilloire@powertweak.com>
    Lenz Grimmer <lenz.grimmer@suse.de>
    Dave Jones <davej@suse.de>
    Martin Mares <mj@atrey.karlin.mff.cuni.cz>
    Richard Pruen <axxe@drk1.demon.co.uk>
    Juan J. Quintela <quintela@fi.udc.es>
    Ryan Weaver <ryan@infohwy.com>
    Arjan van de Ven <arjan@fenrus.demon.nl>

%debug_package
%package gtk
Summary:        A Powertweak GTK User Interface
Group:          System/Base
Requires:       powertweak

%description gtk
This is the GTK version of the Powertweak user interface. Install this
if you have the X Window System and the GTK libraries installed.



Authors:
--------
    Rob Andrews <rob@impure.org.uk>
    Mark Brown <broonie@debian.org>
    Ronny Bangsund <bangsure@ibm.ie>
    Sudhakar Chandrasekharan <thaths@netscape.com>
    Alan Cox <alan@redhat.com>
    Sven Dowideit <svenud@ozemail.com.au>
    Nicholas Dronen <ndronen@frii.com>
    Olivier Gilloire <ogilloire@powertweak.com>
    Lenz Grimmer <lenz.grimmer@suse.de>
    Dave Jones <davej@suse.de>
    Martin Mares <mj@atrey.karlin.mff.cuni.cz>
    Richard Pruen <axxe@drk1.demon.co.uk>
    Juan J. Quintela <quintela@fi.udc.es>
    Ryan Weaver <ryan@infohwy.com>
    Arjan van de Ven <arjan@fenrus.demon.nl>

%package extra
Summary:        Extra Plug-Ins for Powertweak
Group:          System/Base
Requires:       pciutils

%description extra
This package adds PCI device tuning and CPU tuning to an existing
Powertweak installation.



Authors:
--------
    Rob Andrews <rob@impure.org.uk>
    Mark Brown <broonie@debian.org>
    Ronny Bangsund <bangsure@ibm.ie>
    Sudhakar Chandrasekharan <thaths@netscape.com>
    Alan Cox <alan@redhat.com>
    Sven Dowideit <svenud@ozemail.com.au>
    Nicholas Dronen <ndronen@frii.com>
    Olivier Gilloire <ogilloire@powertweak.com>
    Lenz Grimmer <lenz.grimmer@suse.de>
    Dave Jones <davej@suse.de>
    Martin Mares <mj@atrey.karlin.mff.cuni.cz>
    Richard Pruen <axxe@drk1.demon.co.uk>
    Juan J. Quintela <quintela@fi.udc.es>
    Ryan Weaver <ryan@infohwy.com>
    Arjan van de Ven <arjan@fenrus.demon.nl>

%prep
%setup -q
%patch -p1
%patch1 -p1
%patch2 -p1
%patch3
%patch4
# This patch was autogenerated by (except configure.in):
# for i in $(find -name Makefile.am) ; do sed '1,/^CFLAGS/s/^\(CFLAGS[ ]*\)+=/\1=/;1,/^LDFLAGS/s/^\(LDFLAGS[ ]*\)+=/\1=/;s/^\(C\|LD\)FLAGS/AM_&/;s/libexecdir/plugindir/;s/libexec/plugin/g;s/LIBEXEC/LIB/g' <$i >$i~ ; Ci $i ; mv $i~ $i ; done
%patch5
%patch6
%patch7
%patch8
%patch9
%patch10
%patch11

%build
%{?suse_update_config:%{suse_update_config}}
#libtoolize --force
#aclocal
#autoheader
#autoconf
#automake --add-missing
sed -i 's/^\(CFLAGS=.*\)"/\1 $CFLAGS"/' configure.in
libtoolize -f
autoreconf -f -i
export CFLAGS="$RPM_OPT_FLAGS"
./configure 	--prefix=%{_prefix} \
          	--mandir=%{_mandir} \
	  	--libdir=%{_libdir}
touch src/include/stamp-h
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
make DESTDIR=$RPM_BUILD_ROOT install
# Install SuSE init script and create convenience link
mkdir -p $RPM_BUILD_ROOT/etc/init.d/
install -m 755 distro/SuSE/rc.powertweakd $RPM_BUILD_ROOT/etc/init.d/powertweakd
ln -s ../../etc/init.d/powertweakd $RPM_BUILD_ROOT%{_prefix}/sbin/rcpowertweakd
# Touch config file placeholder
mkdir -p $RPM_BUILD_ROOT/etc/powertweak
touch $RPM_BUILD_ROOT/etc/powertweak/tweaks
rm $RPM_BUILD_ROOT%{_prefix}/%_lib/powertweak/plugins/*.a
rm $RPM_BUILD_ROOT%{_prefix}/%_lib/powertweak/plugins/*.la
rm $RPM_BUILD_ROOT%{_prefix}/%_lib/powertweak/plugins/*/*.a
rm $RPM_BUILD_ROOT%{_prefix}/%_lib/powertweak/plugins/*/*.la
rm -f $RPM_BUILD_ROOT%{_prefix}/%_lib/powertweak/plugins/*.so.0
#rm -f $RPM_BUILD_ROOT%{_prefix}/%_lib/powertweak/plugins/libcdromtweaks.so.*
#rm -f $RPM_BUILD_ROOT%{_prefix}/%_lib/powertweak/plugins/libsonypitweaks.so.*
mkdir -p $RPM_BUILD_ROOT%{_prefix}/share/pixmaps
cp powertweak.xpm $RPM_BUILD_ROOT%{_prefix}/share/pixmaps
echo Icon=powertweak >>distro/Redhat/powertweak.desktop
%suse_update_desktop_file -i %name System SystemSetup

%post
%{fillup_and_insserv powertweakd}

%postun
%{insserv_cleanup}

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-,root,root)
%config /etc/init.d/powertweakd
%dir /etc/powertweak
%config(missingok,noreplace) %ghost /etc/powertweak/tweaks
%doc Documentation/* AUTHORS ChangeLog COPYING INSTALL NEWS README TODO
%dir %{_prefix}/%_lib/powertweak/
%dir %{_prefix}/share/powertweak/
%dir %{_prefix}/%_lib/powertweak/plugins
%{_prefix}/%_lib/powertweak/plugins/*core*
%{_prefix}/%_lib/powertweak/plugins/*proc*
%{_prefix}/bin/lspowertweak
%{_prefix}/sbin/powertweakd
%{_prefix}/sbin/rcpowertweakd
%{_prefix}/share/powertweak/proc
%{_prefix}/share/powertweak/profile

%files gtk
%defattr(-,root,root)
%{_prefix}/bin/gpowertweak
%{_prefix}/share/applications/*.desktop
%{_prefix}/share/pixmaps/*.*
# %files text
# %defattr(-,root,root)
# %{_prefix}/bin/powertweak
# 

%files extra
%defattr(-,root,root)
%{_prefix}/%_lib/powertweak/plugins/*pci*
%ifarch %ix86
%{_prefix}/%_lib/powertweak/plugins/*cpu*
%endif
%{_prefix}/%_lib/powertweak/plugins/*cdrom*
%{_prefix}/%_lib/powertweak/plugins/*dmi*
%{_prefix}/%_lib/powertweak/plugins/*sony*
%{_prefix}/%_lib/powertweak/plugins/*elevator*
%{_prefix}/%_lib/powertweak/plugins/*hdparm*
%{_prefix}/share/powertweak/pci
%{_prefix}/share/powertweak/CPU

%changelog -n powertweak
* Tue May 02 2006 - mmarek@suse.cz
- fix build (missing #include <stdlib.h>)
- fix last change (forgot to apply the patch)
* Mon Feb 20 2006 - mmarek@suse.cz
- fix segfault in DMI plugin
  [#151134] (segfault.patch)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Sep 06 2005 - nadvornik@suse.cz
- fixed crash in hdparm backend [#105273]
* Fri Apr 22 2005 - sbrabec@suse.cz
- Added icon (#78965).
* Mon Jan 10 2005 - mmj@suse.de
- Don't source /etc/rc.status twice [#49673]
* Mon Dec 13 2004 - sbrabec@suse.cz
- Fixed hardwired CFLAGS (#49161).
* Tue Nov 23 2004 - sbrabec@suse.cz
- Fixed redundant settings of rp_filter, added arp_filter. Fixes
  behavior when the host is multi-homed on the same LAN segment (#48274).
  Patch from Dirk O. Siebnich <dok@dok-net.net>.
* Wed Mar 17 2004 - sbrabec@suse.cz
- Updated YaST2 patch - do not create obsolete comments, save metadata
  correctly.
- Do not enter daemon_loop() in --nodaemon.
* Tue Mar 16 2004 - sbrabec@suse.cz
- Fixed YaST2 patch (#35603).
- Fixed --nodaemon behavior (#35603).
* Mon Mar 15 2004 - sbrabec@suse.cz
- Fixed invalid proc.xml file (#35603).
* Thu Mar 04 2004 - sbrabec@suse.cz
- Updated to version 0.99.5.
* Sat Jan 10 2004 - adrian@suse.de
- build as user
* Thu Sep 18 2003 - sbrabec@suse.cz
- Updated YaST2 patch - ignore read-only fields (bug #27514).
* Fri Aug 15 2003 - adrian@suse.de
- add desktop file
* Wed Jun 18 2003 - ro@suse.de
- added directory to filelist
* Wed May 21 2003 - ro@suse.de
- define mtrr_strings locally
- remove not packaged files
* Wed Mar 05 2003 - sbrabec@suse.cz
- Updated YaST2 patch from lslezak@suse.cz (bug #24571).
* Wed Feb 26 2003 - sbrabec@suse.cz
- Updated YaST2 patch from lslezak@suse.cz.
* Thu Feb 13 2003 - sbrabec@suse.cz
- Updated YaST2 patch from lslezak@suse.cz.
* Tue Jan 14 2003 - nadvornik@suse.cz
- fixed multi-line string literals
* Tue Sep 03 2002 - mmj@suse.de
- Start powertweak as a daemon. No need for the old behaviour any-
  more. [#18806]
* Mon Sep 02 2002 - mmj@suse.de
- Apply patch to make YaST2 powertweak work. [#18703]
- Make sure /etc/powertweak belong to the package [#18704]
* Fri Aug 23 2002 - mmj@suse.de
- Correct to use %%_lib
* Thu Aug 15 2002 - mmj@suse.de
- Correct PreReq:
* Tue Jul 30 2002 - schwab@suse.de
- Fix last change.
* Tue Jul 30 2002 - mmj@suse.de
- CPU extenions only on ix86
* Sun Jul 28 2002 - mmj@suse.de
- Disabled the text interface which is built on top of an old
  local modified Turbo Vision library, which will not be ported to
  gcc 3.1+
* Sun Apr 21 2002 - adrian@suse.de
- fix building on mips
* Tue Mar 12 2002 - mmj@suse.de
- Fixed filelist to correctly own /usr/lib/powertweak and
  /usr/share/powertweak
* Wed Jan 30 2002 - grimmer@suse.de
- Update to 0.99.4
* Sun Jan 13 2002 - ro@suse.de
- removed START_ variable
* Wed Nov 14 2001 - ro@suse.de
- removed (old) macros from acinclude that come with automake anyway
- hack CPPFLAGS for automake 1.5
* Tue Aug 28 2001 - grimmer@suse.de
- Update to 0.99.2
- removed obsolete Patch (has been integrated by upstream author)
* Mon Aug 27 2001 - kukuk@suse.de
- Fix compiling on SPARC
* Tue Jul 10 2001 - grimmer@suse.de
- Update to 0.99.1
- adjusted patch (removed SA_LEN definitions)
- fixed broken xml/pci/Intel/82371AB-PIIX4-0.xml by
  using current CVS version of this file
- added missing plugins to powertweak-extra
- added small patch to src/backends/proc/misc/shm.c to
  make s390 compiler happy
- removed man pages for the time being
* Mon Apr 23 2001 - grimmer@suse.de
- Updated init script according to new skeleton
* Thu Mar 08 2001 - uli@suse.de
- added xf86 to neededforbuild
* Fri Mar 02 2001 - ro@suse.de
- define SA_LEN
* Fri Dec 22 2000 - grimmer@suse.de
- added ia64 to platforms without CPU plugins
* Thu Dec 21 2000 - grimmer@suse.de
- added alpha, sparc and s390 to the platforms without
  CPU plugins
* Thu Dec 21 2000 - uli@suse.de
- fixed filelist (no CPU plugins on PPC)
* Wed Dec 20 2000 - grimmer@suse.de
- major update to 0.99.0
- splitted into sub-packages
* Mon Nov 06 2000 - ro@suse.de
- fixed neededforbuild
* Fri Oct 06 2000 - @suse.de
- update to 0.1.17 (bugfixes)
* Tue Jun 20 2000 - grimmer@suse.de
- update to 0.1.16
- spec file updates
- removed patch, now uses autoconfig
* Wed Apr 05 2000 - grimmer@suse.de
- update to 0.1.11 (now also has an ncurses interface)
- use BuildRoot
- added gpowerteak to file list
- now uses mandir macro
* Tue Feb 29 2000 - grimmer@suse.de
- update to 0.1.8
- removed obsolete patch
* Mon Feb 28 2000 - ro@suse.de
- don't include both of asm/io.h , sys/io.h
* Wed Feb 23 2000 - grimmer@suse.de
- Update to 0.1.7
- use version macro in spec file
* Fri Dec 17 1999 - grimmer@suse.de
- Update to 0.1.6
- moved binary to /usr/sbin
* Thu Dec 16 1999 - grimmer@suse.de
- initial SuSE package (version 0.1.5)
